> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beehivehub.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Buscar link de pagamento por ID

> Retorna os detalhes de um link de pagamento específico.



## OpenAPI

````yaml /api-reference/openapi.yaml get /payment-links/{paymentLinkId}
openapi: 3.0.3
info:
  title: API Beehive Pay
  version: 1.0.0
  description: >
    API pública da Beehive Pay para criar e gerenciar transações, clientes,
    reembolsos,

    transferências, recebedores, contas bancárias, saldo, empresa, Payment
    Links.


    Autenticação:

    - Basic Authorization (ex.: "Basic base64(SECRET_KEY:x)")

    - ou x-api-key (se habilitado no seu gateway)
servers:
  - url: https://api.conta.paybeehive.com.br/v1
    description: Produção
security:
  - basicAuth: []
  - apiKeyAuth: []
tags:
  - name: transactions
    x-group: Transações
    description: Criação e consulta de transações (cartão, Pix e boleto).
  - name: refunds
    x-group: Reembolsos
    description: Estornos/reembolsos de transações.
  - name: customers
    x-group: Clientes
    description: Criação e consulta de clientes.
  - name: transfers
    x-group: Transferências
    description: Criação e consulta de transferências.
  - name: balance
    x-group: Saldo
    description: Consulta de saldo.
  - name: recipients
    x-group: Recebedores
    description: Criação e consulta de recebedores.
  - name: bank-accounts
    x-group: Contas Bancárias
    description: Adição e consulta de contas bancárias.
  - name: company
    x-group: Empresa
    description: Dados e atualização de dados da empresa.
  - name: payment-links
    x-group: Links de Pagamento
    description: Criação e atualização de payment links.
  - name: webhooks
    x-group: Webhooks
    description: Modelo de payloads de eventos enviados via webhook/postback.
paths:
  /payment-links/{paymentLinkId}:
    get:
      tags:
        - payment-links
      summary: Buscar link de pagamento por ID
      description: Retorna os detalhes de um link de pagamento específico.
      operationId: getPaymentLink
      parameters:
        - $ref: '#/components/parameters/PaymentLinkId'
      responses:
        '200':
          description: Link de pagamento
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentLink'
              example:
                id: 247
                companyId: 287
                alias: alias_alterado
                title: novo link alterado
                amount: 1000
                status: active
                createdAt: '2026-03-06T21:10:16.000Z'
                updatedAt: '2026-03-06T21:10:16.000Z'
                settings:
                  defaultPaymentMethod: credit_card
                  requestAddress: true
                  requestPhone: true
                  requestDocument: true
                  traceable: true
                  card:
                    enabled: false
                    freeInstallments: 1
                    maxInstallments: 12
                  pix:
                    enabled: false
                    expiresInDays: 0
                  boleto:
                    enabled: true
                    expiresInDays: 0
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  parameters:
    PaymentLinkId:
      name: paymentLinkId
      in: path
      required: true
      schema:
        type: integer
        format: int32
  schemas:
    PaymentLink:
      type: object
      properties:
        id:
          type: integer
          example: 9001
        title:
          type: string
          example: novo link alterado
        amount:
          type: integer
          example: 1000
        url:
          type: string
          example: https://checkout.paybeehive.com/payment-links/9001
        status:
          type: string
          example: active
        settings:
          $ref: '#/components/schemas/PaymentLinkSettings'
        createdAt:
          type: string
          example: '2026-01-04T12:00:00Z'
        updatedAt:
          type: string
          example: '2026-01-04T12:10:00Z'
    PaymentLinkSettings:
      type: object
      properties:
        defaultPaymentMethod:
          type: string
          example: credit_card
        requestAddress:
          type: boolean
          example: true
        requestPhone:
          type: boolean
          example: true
        requestDocument:
          type: boolean
          example: true
        traceable:
          type: boolean
          example: true
        card:
          type: object
          properties:
            enabled:
              type: boolean
              example: false
            freeInstallments:
              type: integer
              example: 1
            maxInstallments:
              type: integer
              example: 12
        pix:
          type: object
          properties:
            enabled:
              type: boolean
              example: false
            expiresInDays:
              type: integer
              example: 0
        boleto:
          type: object
          properties:
            enabled:
              type: boolean
              example: true
            expiresInDays:
              type: integer
              example: 0
    Error:
      type: object
      properties:
        message:
          type: string
          example: Invalid request
        code:
          type: string
          example: bad_request
        details:
          type: object
          additionalProperties: true
  responses:
    Unauthorized:
      description: Não autorizado
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Não encontrado
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: Erro interno
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Basic Authorization usando SECRET_KEY como usuário e "x" como senha.
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Header x-api-key (se habilitado).

````